<template>
  <div
    class="relative flex items-center justify-center px-header m-header-title"
    :class="isAccount ? 'm-account-header-title' : 'bg-background2'"
  >
    <h2 class="font-normal fc-textBtn m-header-title-font-size text-16">
      {{ $t(title) }}
    </h2>
    <nuxt-link
      to="/"
      class="absolute flex items-center justify-center h-10 -translate-y-1/2 fc-textBtn top-1/2 m-back-header-btn"
    >
      <font-awesome-icon icon="chevron-left" />
    </nuxt-link>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, toRefs } from "vue";

export default defineComponent({
  setup() {
    const route = useRoute();
    const { name } = toRefs(route);
    const isAccount = computed(() => name.value === "Profile");
    return {
      isAccount,
    };
  },
  props: {
    title: {
      type: String,
      required: true,
    },
  },
});
</script>
